---
name: Bug report
about: Report an error in RCX
---

---
**If this is your first bug report, read our [contribution guidelines](../blob/master/CONTRIBUTING.md#reporting-a-bug).**

---

<!--

If you just have a question around RCX usage, you might find something in the documentation:
  
  https://x0b.github.io/docs/

If you have a question regarding rclone functionality (e.g. config files), the forum is a good place to ask:

  https://forum.rclone.org/
  
If you still think you have found a bug, please fill out the following questions before submitting your issue. Thank you :)
  
-->

#### What version of RCX are you using (About -> App version)?
<!-- Example: 1.12.0 -->


#### What is your Android version, phone model and manufacturer?
<!-- Example: Android 11, Google Pixel 5 -->



#### Which steps are required to reproduce this issue?
<!-- 
Example:
  1. Open a remote
  2. Select "Delete" on a folder
  3. RCX crashes 

  Please also enable rclone logging (Settings > Logging > Log Rclone errors). You're going to need the log for the last question.
-->

#### What is your configuration (`rclone.conf`)?
<!-- REDACT any pass =, token =, key =, secret = etc. before posting!  -->

#### Does the same issue also occur when using the same configuration on a PC or in Termux?
<!-- Export your configuration and test if the problem also happens elsewhere. -->

#### What are the contents of ```Android/data/io.github.x0b.rcx/files/logs/log.txt```?
<details><summary><code>log.txt</code> (click to expand) </summary><br><pre>
<!-- Paste the log below this line. Remove anything that contains private/personal information -->



<!-- Keep everything after this line -->
</pre></details>
