# Android版本简介

| Android 版本 | API 等级 |    版本代号   |        发布时间       |
| :--------:  | :-----: | :----------: | :------------------: |
| Android 12  |    31   |       S      |  2021 年 10 月 4 日   |
| Android 11  |    30   |       R      |  2020 年 9 月 9 日    |
| Android 10  |    29   |       Q      |  2019 年 9 月 3 日    |
| Android 9.0 |    28   |       P      |  2018 年 8 月 7 日    |
| Android 8.1 |    27   |     O_MR1    |  2017 年 12 月 5 日   |
| Android 8.0 |    26   |       O      |  2017 年 8 月 22 日   |
| Android 7.1 |    25   |     N_MR1    |  2016 年 12 月 5 日   |
| Android 7.0 |    24   |       N      |  2016 年 8 月 22 日   |
| Android 6.0 |    23   |       M      |  2015 年 9 月 29 日   |
| Android 5.1 |    22   | LOLLIPOP_MR1 |  2015 年 3 月 10 日   |
| Android 5.0 |    21   |   LOLLIPOP   |  2014 年 10 月 15 日  |
| Android 4.4 |    19   |    KITKAT    |  2013 年 10 月 31 日  |

# Android各版本重大变化说明

> 详细Android各版本变化可参见：[AndroidVersionAdapter](https://github.com/getActivity/AndroidVersionAdapter) 或者 [官方文档](https://developer.android.google.cn/about/versions)

## Android 12.0

* [启动画面](https://developer.android.google.cn/about/versions/12/features/splash-screen?hl=zh-cn)
* [性能等级](https://developer.android.google.cn/about/versions/12/features/performance-class?hl=zh-cn)
* [Android 12 中的新蓝牙权限](https://developer.android.google.cn/about/versions/12/features/bluetooth-permissions?hl=zh-cn)
* [更安全的组件导出](https://developer.android.google.cn/about/versions/12/behavior-changes-12?hl=zh-cn#exported)
* [自定义通知模板](https://developer.android.google.cn/about/versions/12/behavior-changes-12?hl=zh-cn#custom-notifications)
* [通知 trampoline 限制](https://developer.android.google.cn/about/versions/12/behavior-changes-12?hl=zh-cn#notification-trampolines)
* [前台服务启动限制](https://developer.android.google.cn/about/versions/12/behavior-changes-12?hl=zh-cn#foreground-service-launch-restrictions)
* [应用无法关闭系统对话框](https://developer.android.google.cn/about/versions/12/behavior-changes-all?hl=zh-cn#close-system-dialogs)

## Android 11.0

* [强制执行分区存储](https://developer.android.google.cn/about/versions/11/privacy/storage?hl=zh-cn#scoped-storage)
* [单次授权](https://developer.android.google.cn/about/versions/11/privacy/permissions?hl=zh-cn#one-time)
* [系统提醒窗口权限](https://developer.android.google.cn/about/versions/11/privacy/permissions?hl=zh-cn#system-alert)
* [在后台访问位置信息的权限](https://developer.android.google.cn/about/versions/11/privacy/location?hl=zh-cn#background-location)
* [Toast后台显示限制](https://developer.android.google.cn/about/versions/11/behavior-changes-11?hl=zh-cn#toasts)

## Android 10.0

* [Android 10(Q)/11(R) 分区存储适配](https://juejin.cn/post/6862633674089693197)
* [Android 10 深色主题适配](https://guolin.blog.csdn.net/article/details/106061657)
* [Android 折叠屏适配攻略](https://juejin.cn/post/6844903889267867656)
* [后台启动 Activity 的限制](https://juejin.cn/post/6844904073024503822#heading-13)
* [限制非 SDK 接口](https://developer.android.google.cn/about/versions/10/behavior-changes-all?hl=zh-cn#non-sdk-restrictions)
* [设备唯一标识符限制](https://juejin.cn/post/6844904073024503822#heading-20)
* [5G 网络](https://developer.android.google.cn/about/versions/10/highlights?hl=zh-cn#5g_networks)

## Android 9.0

* [Apache HTTP 客户端弃用](https://developer.android.google.cn/about/versions/pie/android-9.0-changes-28?hl=zh-cn#apache-p)
* [前台服务](https://developer.android.google.cn/about/versions/pie/android-9.0-changes-28?hl=zh-cn#fg-svc)
* [不允许调用hide api](https://weishu.me/2019/03/16/another-free-reflection-above-android-p/)
* [Android刘海屏适配](https://www.jianshu.com/p/561f7241153b)
* [强制执行 `FLAG_ACTIVITY_NEW_TASK` 要求](https://developer.android.google.cn/about/versions/pie/android-9.0-changes-all?hl=zh-cn#fant-required)

## Android 8.0/8.1

* [通知全面重新设计（渠道等）](https://developer.android.google.cn/about/versions/oreo/android-8.0?hl=zh-cn#notifications)
* [后台执行限制](https://developer.android.google.cn/about/versions/oreo/android-8.0-changes?hl=zh-cn#back-all)
* 隐式广播限制
* 开启后台Service限制
* 应用安装REQUEST_INSTALL_PACKAGES权限
* [自动填充框架](https://developer.android.google.cn/about/versions/oreo/android-8.0?hl=zh-cn#af)
* [画中画模式](https://developer.android.google.cn/about/versions/oreo/android-8.0?hl=zh-cn#opip)
* [自适应图标](https://developer.android.google.cn/about/versions/oreo/android-8.0?hl=zh-cn#ai)
* [应用快捷键](https://developer.android.google.cn/about/versions/oreo/android-8.0-changes?hl=zh-cn#as)

## Android 7.0/7.1.1

* [多窗口支持](https://developer.android.google.cn/about/versions/nougat/android-7.0?hl=zh-cn#multi-window_support)
* [配置文件指导的 JIT/AOT 编译](https://developer.android.google.cn/about/versions/nougat/android-7.0?hl=zh-cn#jit_aot)
* [VR 支持](https://developer.android.google.cn/about/versions/nougat/android-7.0?hl=zh-cn#vr)
* [应用快捷方式](https://developer.android.google.cn/about/versions/nougat/android-7.1?hl=zh-cn#shortcuts)
* [在应用间共享文件FileProvider](https://developer.android.google.cn/about/versions/nougat/android-7.0-changes?hl=zh-cn#sharing-files)
* [进一步的电池和内存优化](https://developer.android.google.cn/about/versions/nougat/android-7.0-changes?hl=zh-cn#perf)

## Android 6.0

* [运行时权限](https://developer.android.google.cn/about/versions/marshmallow/android-6.0-changes?hl=zh-cn#behavior-runtime-permissions)
* [指纹身份验证](https://developer.android.google.cn/about/versions/marshmallow/android-6.0?hl=zh-cn#fingerprint-authentication)
* [应用链接](https://developer.android.google.cn/about/versions/marshmallow/android-6.0?hl=zh-cn#app-linking)
* [低电耗模式和应用待机模式（Doze电量管理）](https://developer.android.google.cn/about/versions/marshmallow/android-6.0-changes?hl=zh-cn#behavior-power)

## Android 5.0/5.1

* [Material Design支持](https://developer.android.google.cn/about/versions/android-5.0?hl=zh-cn#MaterialDesign)
* [Android Runtime (ART)](https://developer.android.google.cn/about/versions/android-5.0-changes?hl=zh-cn#ART)
* [WebView 更新](https://developer.android.google.cn/about/versions/android-5.0?hl=zh-cn#WebView)
* [蓝牙低功耗](https://developer.android.google.cn/about/versions/android-5.0?hl=zh-cn#BluetoothBroadcasting)

## Android 4.4

* [Google打印框架](https://developer.android.google.cn/about/versions/android-4.4?hl=zh-cn#Printing)
* [沉浸式全屏模式](https://developer.android.google.cn/about/versions/android-4.4?hl=zh-cn#ImmersiveMode)
* [透明系统状态栏](https://developer.android.google.cn/about/versions/android-4.4?hl=zh-cn#TranslucentBars)
* [可绘制的RTL布局镜像](https://developer.android.google.cn/about/versions/android-4.4?hl=zh-cn#DrawableMirroring)
* [无障碍功能](https://developer.android.google.cn/about/versions/android-4.4?hl=zh-cn#A11y)

## Android 4.3

* BLE支持