/*
 * Copyright (C) 2020 xuexiangjys(xuexiangjys@163.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package com.xuexiang.xuidemo.fragment.expands.alibaba.tangram.support;

import android.view.View;

import com.tmall.wireless.tangram.structure.BaseCell;
import com.tmall.wireless.tangram.support.SimpleClickSupport;
import com.xuexiang.xaop.annotation.SingleClick;
import com.xuexiang.xui.utils.XToastUtils;

/**
 * 自定义点击事件
 *
 * @author xuexiang
 * @since 2020/4/7 1:18 AM
 */
public class CustomClickSupport extends SimpleClickSupport {

    public CustomClickSupport() {
        setOptimizedMode(true);
    }

    @SingleClick(3000)
    @Override
    public void defaultClick(View targetView, BaseCell cell, int eventType) {
        XToastUtils.toast("您点击了组件，type=" + cell.stringType + ", pos=" + cell.pos);
    }
}
